Ogre 1.7.1 on iPad

Discussion of issues specific to mobile platforms such as iOS, Android, Symbian and Meego.
Post Reply
SufferinPup
Greenskin
Posts: 119
Joined: Tue Mar 02, 2010 11:09 pm
x 2

Ogre 1.7.1 on iPad

Post by SufferinPup »

Are there some newer updates to Ogre after 1.7.1 I should grab to make it run on the iPad simulator?

When I try to run it (samplebrowser or my own simple app), I get errors while trying to load scripts for parsing. It seems to be getting the filenames wrong, like if the material script is "Parsing script Models/ThreePigsTest02.material" I see "Parsing script 02.material" in the log then it crashes because it can't open the file.

Note that I haven't converted the target for "true" iPad support - I'm simply selecting the iPad simulator and running the compiled iPhone version (which works fine in the iPhone simulator). Maybe thats not okay. :) I figured it should work though.

User avatar
DanielSefton
Ogre Magi
Posts: 1235
Joined: Fri Oct 26, 2007 12:36 am
Location: Mountain View, CA
x 10
Contact:

Re: Ogre 1.7.1 on iPad

Post by DanielSefton »

Yay, that's 2/2 of my problems confirmed. :P

It cuts off the first characters of resources and throws an exception that it doesn't exist, very strange.

User avatar
masterfalcon
OGRE Team Member
OGRE Team Member
Posts: 4270
Joined: Sun Feb 25, 2007 4:56 am
Location: Bloomington, MN
x 126
Contact:

Re: Ogre 1.7.1 on iPad

Post by masterfalcon »

Yeah, I'm seeing this too but only intermittently. It's #1 on my bug fix list.

SufferinPup
Greenskin
Posts: 119
Joined: Tue Mar 02, 2010 11:09 pm
x 2

Re: Ogre 1.7.1 on iPad

Post by SufferinPup »

While searching the forums I swear others have gotten it to work on iPad, so I figured some updates were required. Or is it luck of the draw? :)

User avatar
masterfalcon
OGRE Team Member
OGRE Team Member
Posts: 4270
Joined: Sun Feb 25, 2007 4:56 am
Location: Bloomington, MN
x 126
Contact:

Re: Ogre 1.7.1 on iPad

Post by masterfalcon »

It appears that things get all screwy only on iPad when using the iOS 4 SDK. Honestly, I have no idea why it doesn't work. Even the dependencies need to be compiled with the 3.2 SDK.

pratty70
Gnome
Posts: 341
Joined: Thu May 13, 2004 4:52 pm
Location: Wales - UK

Re: Ogre 1.7.1 on iPad

Post by pratty70 »

I no longer build the samples, just build the libs and then build my app against it. Mine works fine on the iPad itself, haven't tried the simulator for a short while. Will do some time today.

SufferinPup
Greenskin
Posts: 119
Joined: Tue Mar 02, 2010 11:09 pm
x 2

Re: Ogre 1.7.1 on iPad

Post by SufferinPup »

pratty70 wrote:I no longer build the samples, just build the libs and then build my app against it. Mine works fine on the iPad itself, haven't tried the simulator for a short while. Will do some time today.
masterfalcon wrote:It appears that things get all screwy only on iPad when using the iOS 4 SDK. Honestly, I have no idea why it doesn't work. Even the dependencies need to be compiled with the 3.2 SDK.
So it looks like in order to get my game running on iPad, I need both the libs and dependencies compiled against 3.2 SDK? I can't compile them against 4.0 and use those same libs on both iPhone and iPad?

Masterfalcon, any chance you could post those 3.2 dependencies? :) I haven't tried tackling compiling those yet, they scare me.

pratty70
Gnome
Posts: 341
Joined: Thu May 13, 2004 4:52 pm
Location: Wales - UK

Re: Ogre 1.7.1 on iPad

Post by pratty70 »

SufferinPup wrote: So it looks like in order to get my game running on iPad, I need both the libs and dependencies compiled against 3.2 SDK? I can't compile them against 4.0 and use those same libs on both iPhone and iPad?

Masterfalcon, any chance you could post those 3.2 dependencies? :) I haven't tried tackling compiling those yet, they scare me.
I use the same libs on 3.2 and 4.0 because I have a universal app running quite happily on 4.0 on iPhone and 3.2 on iPad.

SufferinPup
Greenskin
Posts: 119
Joined: Tue Mar 02, 2010 11:09 pm
x 2

Re: Ogre 1.7.1 on iPad

Post by SufferinPup »

pratty70 wrote:I use the same libs on 3.2 and 4.0 because I have a universal app running quite happily on 4.0 on iPhone and 3.2 on iPad.
Are your libs "fat" libs that contain both 4.0 and 3.2? Or just 4.0? Because right now if I compile ogre's libs with SDK 4.0 (and set OS Deployment Target as 3.0) I get the problems parsing scripts on ipad. And from masterfalcon's comments it sounds like the problem is because its compiled against SDK 4.0.

pratty70
Gnome
Posts: 341
Joined: Thu May 13, 2004 4:52 pm
Location: Wales - UK

Re: Ogre 1.7.1 on iPad

Post by pratty70 »

It sounds like I built it the same as you, SDK 4.0 with Deployment target 3.0. I've not seen any script issues on the actual iPad device.

SufferinPup
Greenskin
Posts: 119
Joined: Tue Mar 02, 2010 11:09 pm
x 2

Re: Ogre 1.7.1 on iPad

Post by SufferinPup »

Ahah sorry I misunderstood, on the actual device this all works fine, I guess the problems I'm seeing are specific to the simulator. I tested my app on an actual device and it works fine. Very odd!

pratty70
Gnome
Posts: 341
Joined: Thu May 13, 2004 4:52 pm
Location: Wales - UK

Re: Ogre 1.7.1 on iPad

Post by pratty70 »

I can confirm I'm seeing the same thing here - missing the first letter off the names of scripts in iPad simulator.

pratty70
Gnome
Posts: 341
Joined: Thu May 13, 2004 4:52 pm
Location: Wales - UK

Re: Ogre 1.7.1 on iPad

Post by pratty70 »

Any joy finding this one anyone?? By this I mean the missing char off the front of the script names in iPad simulator.

Post Reply